import service from '@utils/GraphApiService'

export function splitDocxByBookMark(baseURL, data) {
  return service({
    baseURL: baseURL,
    url: 'api/v1.0/Word/SplitDocxByBookMark',
    method: 'post',
    data
  })
}

export function splitDocxByRange(baseURL, data) {
  return service({
    baseURL: baseURL,
    url: 'api/v1.0/Word/SplitDocxByRange',
    method: 'post',
    data
  })
}

export function splitDocx(baseURL, data) {
  return service({
    baseURL: baseURL,
    url: 'api/v1.0/Word/SplitDocx',
    method: 'post',
    data
  })
}


export function splitDocxByPageBreak(baseURL, data) {
  return service({
    baseURL: baseURL,
    url: 'api/v1.0/Word/SplitDocxByPageBreak',
    method: 'post',
    data
  })
}

export function downloadFile(baseURL, data){
  return service({
    baseURL: baseURL,
    url:'api/v1.0/Word/DownloadFile',
    method: 'post',
    data,
    responseType: 'blob' 
  })
}